import axios from '@utils/ajax';
import store from '@store';
import { searchList } from '../actions/assistCheck';
import { SET_TIPS } from '../types/pushMessage';


export const getSearchList = (val) => {
    if(val.trim() == ''){
        const data = [];
        return (dispatch) => dispatch(searchList(data,''));
    }
    let baseList = store.getState();
    let sex = baseList.patInfo.message.patientSex;
    return (dispatch) => {
        axios.json('/retrieval/getTagInfos',{
            type:'6',
            age:baseList.patInfo.message.patientAge,
            inputStr:val,
            sexType: sex == '男'?'1' : sex == '女'?'2':'3'
        })
        .then((res)=>{
            const data = res.data.data;
            dispatch(searchList(data,val.trim()));
        })
    }
};

export const getInstroduce = (id,name)=>{    //获取辅检的提示信息
  return (dispatch, getState) =>{
      axios.json('/introduceInfo/getByQuestionId', {
        questionId: id?id:'',
        type: 6,
        tagName:name?name:'',
        position: 1
    })
    .then((data)=>{
        dispatch({
          type: SET_TIPS,
          tips: data.data.data,
          tmpFlg:'midPart'
      })          
    }).catch((e) => {
        console.log(e)
    })
  }
}